- [HTTP request](https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/resendOtp#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/resendOtp#body.request_body)
  - [JSON representation](https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/resendOtp#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/resendOtp#body.response_body)
- [ResendOtpResponse](https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/resendOtp#ResendOtpResponse)
  - [JSON representation](https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/resendOtp#ResendOtpResponse.SCHEMA_REPRESENTATION)
- [ResendOtpResultCode](https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/resendOtp#ResendOtpResultCode)
  - [JSON representation](https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/resendOtp#ResendOtpResultCode.SCHEMA_REPRESENTATION)

Requests that the issuer send the cardholder an additional OTP if the user requests one. It is sent using the same information provided in the `authenticate` request.

If the endpoint encounters an error while processing the request, the response body from this endpoint should be of type `https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/ErrorResponse`.

An example request looks like:


    {
      "requestHeader": {
        "protocolVersion": {
          "major": 1
        },
        "requestId": "cmVxdWVzdDE",
        "requestTimestamp": {
          "epochMillis": "1481899949606"
        },
        "paymentIntegratorAccountId": "SpeedyPaymentsIndia_INR"
      },
      "authenticateRequestId": "G112YZH4XPDV88J"
    }

An example response looks like:


    {
      "responseHeader": {
        "responseTimestamp": {
          "epochMillis": "1481899949611"
        }
      },
      "result": {
        "success": {}
      }
    }

### HTTP request

`POST https://www.integratorhost.example.com/integrator-base-path/v1/payment-integrator-authenticated-card-fop-api/resendOtp`

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requestHeader": { object (`https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/RequestHeader`) }, "authenticateRequestId": string } ``` |

| Fields ||
|---|---|
| `requestHeader` | ``object (`https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/RequestHeader`)`` **REQUIRED**: Common header for all requests. |
| `authenticateRequestId` | `string` **REQUIRED** : A unique identifier representing the request to send an OTP. This is the `requestId` generated by Google during an `authenticate` request. An OTP is sent to the same user using the same information that was in the `authenticate` request. |

### Response body

This method supports multiple return types. For additional information about what 4XX or 5XX HTTP status code to return with an `ErrorResponse`, consult the `ErrorResponse` object and [HTTP status codes documentation](https://developers.google.com/pay/india-cards-v1/guides/connectivity/protocol-standards#http_status_codes).

| Possible response messages ||
|---|---|
| HTTP 200 Status | ``object (`https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/resendOtp#ResendOtpResponse`)`` |
| HTTP 4XX / 5XX Status | ``object (`https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/ErrorResponse`)`` |
| End of mutually exclusive fields. ||

## ResendOtpResponse

Response object for the payment integrator hosted `resendOtp` method.

| JSON representation |
|---|
| ``` { "responseHeader": { object (`https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/ResponseHeader`) }, "result": { object (`https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/resendOtp#ResendOtpResultCode`) } } ``` |

| Fields ||
|---|---|
| `responseHeader` | ``object (`https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/ResponseHeader`)`` **REQUIRED**: Common header for all responses. |
| `result` | ``object (`https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/resendOtp#ResendOtpResultCode`)`` **REQUIRED** : The result of the `resendOtp` request. |

## ResendOtpResultCode

Result codes for `resendOtp`.

| JSON representation |
|---|
| ``` { // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "success": { object (`https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/Empty`) }, "requestExpired": { object (`https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/Empty`) }, "otpRequestLimitReached": { object (`https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/Empty`) } // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| **REQUIRED** : The result of the `resendOtp` request. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `success` | ``object (`https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/Empty`)`` The request to send an OTP to the user was successful. |
| `requestExpired` | ``object (`https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/Empty`)`` The request to authenticate the user has expired. A new `authenticate` request is required in order to authenticate this user. |
| `otpRequestLimitReached` | ``object (`https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/Empty`)`` The number of requests to send an OTP has reached its limit and no more OTPs can be requested for this `authenticate` request. |
| End of mutually exclusive fields. ||